[openssl-commits] [web] master update
Rich Salz
rsalz at openssl.org
Sun Aug 16 01:25:16 UTC 2015
The branch master has been updated
via 4e03b7d918207bb1f9a80295b3cc70986dfc1f05 (commit)
from 39107644a019885ccdef15ae1033550d45e5e932 (commit)
- Log -----------------------------------------------------------------
commit 4e03b7d918207bb1f9a80295b3cc70986dfc1f05
Author: Rich Salz <rsalz at akamai.com>
Date: Sat Aug 15 21:25:06 2015 -0400
fix mk-latest
-----------------------------------------------------------------------
Summary of changes:
Makefile | 2 +-
bin/mk-latest | 10 +++++++++-
2 files changed, 10 insertions(+), 2 deletions(-)
diff --git a/Makefile b/Makefile
index ab069ec..4f48bd5 100644
--- a/Makefile
+++ b/Makefile
@@ -81,7 +81,7 @@ docs/fips.inc:
source/.htaccess:
@rm -f @?
- ./bin/mk-latest >$@
+ ./bin/mk-latest source >$@
source/license.txt: $(SNAP)/LICENSE
@rm -f $@
cp $? $@
diff --git a/bin/mk-latest b/bin/mk-latest
index 519c353..14f586f 100755
--- a/bin/mk-latest
+++ b/bin/mk-latest
@@ -1,8 +1,16 @@
#! /usr/bin/perl -w
use strict;
+die "Missing args\n" if $#ARGV < 0;
+my $SRCDIR = $ARGV[0]; shift;
+
+chdir $SRCDIR || die "Can't chdir $SRCDIR, $!";
+
my @tarballs =
- sort grep /openssl-\d+\.\d+\.\d+[a-z]*\.tar\.gz$/, glob("openssl-*.tar.gz");
+ sort grep /openssl-\d+\.\d+\.\d+[a-z]*\.tar\.gz$/,
+ glob("openssl-*.tar.gz");
+die "No tgz files found in $SRCDIR?\n" if $#tarballs < 1;
+
my %series = ();
foreach(@tarballs) {
my ($version, $serie) = /^openssl-((\d+\.\d+\.\d+)[a-z]*)\./;
More information about the openssl-commits
mailing list